
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{

    font-family:
    Avenir,
    "Avenir Next",
    Helvetica,
    Arial,
    sans-serif;

    color:#f5f5f5;

    background:
    linear-gradient(
        rgba(8,8,8,.82),
        rgba(8,8,8,.92)
    ),
    url("assets/hero.jpeg");

    background-size:cover;
    background-position:center;
    background-attachment:fixed;

    overflow-x:hidden;
}

nav{

    position:fixed;

    top:0;

    left:0;

    width:100%;

    display:flex;

    justify-content:flex-end;

    align-items:center;

    padding:40px 70px;

    backdrop-filter:blur(18px);

    background:rgba(0,0,0,.15);

    z-index:999;
}

.logo{

    position:fixed;

    top:70px;

    left:15px;

    z-index:1001;
}

.logo img{

    height:175px;

    transition:.4s;
}

.logo img:hover{

    transform:scale(1.03);
}

nav ul{

    display:flex;

    gap:40px;

    list-style:none;
}

nav a,a{

    color:#dddddd;

    text-decoration:none;

    letter-spacing:3px;

    font-size:.8rem;

    text-transform:uppercase;

    position:relative;

    transition:.35s;
}

nav a::after{

    content:"";

    position:absolute;

    left:0;

    bottom:-8px;

    width:0;

    height:1px;

    background:white;

    transition:.35s;
}

a::after{

    content:"";

    position:absolute;

    left:0;

    bottom:-8px;

    width:0;

    height:1px;

    background:white;

    transition:.35s;
}

nav a,a:hover{

    color:white;
}

nav a,a:hover::after{

    width:100%;
}


.hero{

    height:100vh;

    position:relative;

    display:flex;

    justify-content:center;

    align-items:center;

    text-align:center;

    overflow:hidden;

}

.hero::before{

    content:"";

    position:absolute;

    inset:0;

    background:
        linear-gradient(
            rgba(0,0,0,.15),
            rgba(0,0,0,.55)
        ),
        url("assets/hero.jpeg");

    background-size:cover;
    background-position:center;

    transform:scale(1.08);

    animation:heroZoom 7s ease forwards;

    z-index:-2;

}

.overlay{

    position:absolute;

    inset:0;

    background:

    linear-gradient(

        rgba(0,0,0,.15),

        rgba(0,0,0,.50) );

}

.hero-content{

    position:relative;

    z-index:2;

    max-width:900px;

    padding:30px;
    
    transform:scale(1.08);

}

.hero h1{

    font-family:'UnifrakturCook';
    
    font-size: 100px;
    letter-spacing: 2px;
    
    color:#d7d9c9;
    text-shadow: 0 0 5px rgba(120, 120, 120, 0.45);

    animation:fadeUp 1.5s ease-out forwards;

}

.hero p{

    margin:35px auto 50px;

    letter-spacing:7px;

    text-transform:uppercase;

    font-size:.9rem;

    color:rgba(255,255,255,.75);
    
opacity:0;

    animation:fadeUp 1.5s ease-out forwards;

    animation-delay:.4s;

}

.button{

    display:inline-block;

    padding:18px 55px;

    border:1px solid rgba(255,255,255,.4);

    color:white;

    text-decoration:none;

    text-transform:uppercase;

    letter-spacing:4px;

    transition:.45s;
    
       opacity:0;

    animation:fadeUp 1.5s ease-out forwards;

    animation-delay:.8s;
}

.button:hover{

    background:white;

    color:black;

    transform:translateY(-4px);
}

input,
textarea{

padding:18px;

}


section{

    width:min(1400px,90%);

    margin:auto;

    padding:120px 0;

}

.content{

    max-width:750px;

}

.number{

    display:block;

    font-size:11rem;

    font-weight:700;

    color:rgba(255,255,255,.05);

    line-height:1;

    margin-bottom:-40px;

    user-select:none;

}

h2{

    font-size:clamp(2.5rem,5vw,4.5rem);

    font-weight:300;

    text-transform:uppercase;

    letter-spacing:5px;

    margin-bottom:40px;

}

p{

    font-size:1.05rem;

    line-height:2;

    color:rgba(255,255,255,.78);

}

.headline{

    text-align:center;

    margin-top:-40px;

    margin-bottom:120px;

}

.project{

    width:min(1500px,92%);

    margin:0 auto 140px;

    display:grid;

    grid-template-columns:1fr 1.2fr;

    gap:90px;

    align-items:center;

}

.project.reverse{

    grid-template-columns:1.2fr 1fr;

}

.project-text{

    padding:15px;

}

.project-text p{
    max-width: 500px
}

.project-text span{

    display:block;

    font-size:5rem;

    font-weight:700;

    color:rgba(255,255,255,.08);

    margin-bottom:20px;

}

.project-text h3{

    font-size:2rem;

    letter-spacing:6px;

    margin-bottom:25px;

    font-weight:300;

}

.project-text p{

    max-width:420px;

}


.project-image{

    overflow:hidden;

    border-radius:8px;

    position:relative;

}

.project-image img{

    width:100%;

    height:820px;

    object-fit:cover;

    filter:grayscale(100%) brightness(.85);

    transition:1s ease;

}

.project-image::after{

    content:"";

    position:absolute;

    inset:0;

    border:1px solid rgba(255,255,255,.08);

    pointer-events:none;

}

.project-image:hover img{

    transform:scale(1.05);

    filter:grayscale(0%) brightness(1);

}

.studio{

    display:grid;

    grid-template-columns:1fr 1fr;

    gap:100px;

    align-items:center;

}

.studio-image{

    overflow:hidden;

    border-radius:8px;

    position:relative;

}

.studio-image img{

    width:100%;

    height:820px;

    object-fit:cover;

    filter:grayscale(100%) brightness(.85);

    transition:1s ease;

}

.studio-image::after{

    content:"";

    position:absolute;

    inset:0;

    border:1px solid rgba(255,255,255,.08);

    pointer-events:none;

}

.studio-image:hover img{

    transform:scale(1.05);

    filter:grayscale(0%) brightness(1);

}

.studio strong{

    display:block;

    margin-top:40px;

    font-size:1.3rem;

    letter-spacing:2px;

    font-weight:500;

}

.studio-address{

    margin-top:25px;

    color:rgba(255,255,255,.65);

    line-height:2;

}


.about{

    position:relative;

}

.about::after{

    content:"";

    position:absolute;

    left:0;

    bottom:-90px;

    width:120px;

    height:1px;

    background:rgba(255,255,255,.15);

}

.projects{

    position:relative;

}

.projects::after{

    content:"";

    position:absolute;

    left:0;

    bottom:-90px;

    width:120px;

    height:1px;

    background:rgba(255,255,255,.15);

}

.booking{

    width:min(1400px,90%);

    margin:auto;

    padding:220px 0;

    display:grid;

    grid-template-columns:1fr 1fr;

    gap:120px;

    align-items:start;
}

.booking-left{

    position:sticky;

    top:160px;
}

.booking-left h2{

    margin-top: 18px;

    line-height:1.1;
}

.booking-left p{

    margin-top:30px;

    max-width:450px;
}


form{

    display:flex;

    flex-direction:column;

    gap:25px;
}

input,
textarea{

    width:100%;

    padding:24px;

    background:rgba(255,255,255,.03);

    border:1px solid rgba(255,255,255,.08);

    color:white;

    font-size:1rem;

    font-family:inherit;

    transition:.4s ease;
}

input:focus,
textarea:focus{

    outline:none;

    border-color:rgba(255,255,255,.35);

    background:rgba(255,255,255,.05);
}

textarea{

    min-height:240px;

    resize:vertical;
}

input::placeholder,
textarea::placeholder{

    color:rgba(255,255,255,.4);

    letter-spacing:1px;
}

button{

    width:260px;

    padding:22px;

    border:none;

    background:white;

    color:black;

    font-size:.9rem;

    text-transform:uppercase;

    letter-spacing:4px;

    cursor:pointer;

    transition:.4s ease;
}

button:hover{

    transform:translateY(-4px);

    background:#d9d9d9;
}



footer{

    width:100%;

    padding:120px 60px;

    border-top:1px solid rgba(255,255,255,.08);

    text-align:center;
}


footer h3{

    font-family:'UnifrakturCook';

    font-size:2.4rem;

    margin-bottom:40px;
}

footer p{

    margin:12px auto;

    opacity:.7;

    letter-spacing:2px;
}



.project-text h3{

    transition:.5s ease;
}

.project:hover h3{

    letter-spacing:10px;
}

.number{

    transition:.5s ease;
}

.section:hover .number{

    color:rgba(255,255,255,.08);
}

.project:hover .project-text span{

    color:rgba(255,255,255,.15);
}

::selection{

    background:white;

    color:black;
}


::-webkit-scrollbar{

    width:10px;
}

::-webkit-scrollbar-track{

    background:#080808;
}

::-webkit-scrollbar-thumb{

    background:#3f3f3f;
}

::-webkit-scrollbar-thumb:hover{

    background:#6a6a6a;
}


@media(max-width:1200px){

.project,
.project.reverse{

    grid-template-columns:1fr;

    gap:60px;
}

.project-image img{

    height:650px;
}

.studio{

    grid-template-columns:1fr;

}

.booking{

    grid-template-columns:1fr;

    gap:80px;
}

.booking-left{

    position:relative;

    top:auto;
}

}


@media(max-width:768px){

nav{

    padding:25px;

    justify-content:center;
}

nav ul{

    gap:18px;

    flex-wrap:wrap;
}

.logo{

    top:20px;

    left:10px;
}

.logo img{

    height:95px;
}

.hero h1{

    font-size:3.4rem;
}

.hero p{

    letter-spacing:3px;

    font-size:.75rem;
}

section{

    padding:120px 0;
}

.number{

    font-size:6rem;

    margin-bottom:-20px;
}

h2{

    font-size:2.2rem;
}

.project-text h3{

    font-size:1.5rem;
}

.project-image img{

    height:420px;
}

.studio-image img{

    height:450px;
}

footer{

    padding:80px 30px;
}

}



@media(max-width:500px){

.hero{

    min-height:90vh;
}

.hero h1{

    font-size:2.8rem;
}

.button{

    padding:15px 32px;

    letter-spacing:2px;
}

.project-image img{

    height:320px;
}

button{

    width:100%;
}

}

.scroll{

    margin-top:-225px;

    font-size:10rem;

    color:rgba(255, 255, 255, 0.32);

    animation:scrollDown 2.4s ease-in-out infinite;

}

@keyframes fadeUp {

    from{
        opacity:0;
        transform:translateY(20px);
    }

    to{
        opacity:1;
        transform:translateY(0);
    }

}
@keyframes titleFade{

    0%{

        opacity:0;

        transform:translateY(30px);

    }

    100%{

        opacity:1;

        transform:translateY(0);

    }

}

@keyframes heroZoom{

    0%{

        transform:scale(1.08);

    }

    100%{

        transform:scale(1);

    }

}

@keyframes scrollDown{

    0%,100%{

        transform:translateY(0);

    }

    50%{

        transform:translateY(12px);

    }

}

@font-face {
    font-family: 'UnifrakturCook';
    src: url('assets/UnifrakturCook.woff') format('woff')
}